Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql.db2e
Class Db2e

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.db2e.Db2e

public class Db2e
extends Object

Field Summary
`static int` | `SQL_BLOB`
`static int` | `SQL_C_BINARY`
`static int` | `SQL_C_BIT`
`static int` | `SQL_C_CHAR`
`static int` | `SQL_C_DOUBLE`
`static int` | `SQL_C_FLOAT`
`static int` | `SQL_C_LONG`
`static int` | `SQL_C_SHORT`
`static int` | `SQL_C_TINYINT`
`static int` | `SQL_C_TYPE_DATE`
`static int` | `SQL_C_TYPE_TIME`
`static int` | `SQL_C_TYPE_TIMESTAMP`
`static int` | `SQL_CHAR`
`static int` | `SQL_COMMIT`
`static int` | `SQL_CURSOR_FORWARD_ONLY`
`static int` | `SQL_CURSOR_STATIC`
`static int` | `SQL_DECIMAL`
`static int` | `SQL_DELETE_MARK_ONLY`
`static int` | `SQL_DELETE_PHYSICAL_REMOVE`
`static int` | `SQL_DIRTYBIT_SET_BY_APPLICATION`
`static int` | `SQL_DIRTYBIT_SET_BY_SYSTEM`
`static int` | `SQL_FETCH_ABSOLUTE`
`static int` | `SQL_FETCH_FIRST`
`static int` | `SQL_FETCH_LAST`
`static int` | `SQL_FETCH_NEXT`
`static int` | `SQL_FETCH_PRIOR`
`static int` | `SQL_FETCH_RELATIVE`
`static int` | `SQL_HANDLE_DBC`
`static int` | `SQL_HANDLE_ENV`
`static int` | `SQL_HANDLE_STMT`
`static int` | `SQL_INTEGER`
`static int` | `SQL_NULL_DATA`
`static int` | `SQL_PARAM_INPUT`
`static int` | `SQL_PARAM_INPUT_OUTPUT`
`static int` | `SQL_PARAM_OUTPUT`
`static int` | `SQL_READ_EXCLUDE_MARKED_DELETE`
`static int` | `SQL_READ_INCLUDE_MARKED_DELETE`
`static int` | `SQL_REORG_DISABLED`
`static int` | `SQL_REORG_ENABLED`
`static int` | `SQL_ROLLBACK`
`static int` | `SQL_SMALLINT`
`static int` | `SQL_TYPE_DATE`
`static int` | `SQL_TYPE_TIME`
`static int` | `SQL_TYPE_TIMESTAMP`
`static int` | `SQL_VARCHAR`

Constructor Summary
`Db2e()`

Method Summary
`int` | `allocHandle(int handleType, int contextHandle)`
`static boolean` | `attachNative()`
`void` | `bindBlob(int statementHandle, int column, BoundBlob blob)`
`void` | `bindBlobParam(int statementHandle, int paramNum, BoundBlob blob)` Parameter binding methods.
`void` | `bindCharParam(int statementHandle, int paramNum, BoundString str)`
`void` | `bindDate(int statementHandle, int column, BoundDate date)`
`void` | `bindDateParam(int statementHandle, int paramNum, BoundDate date)`
`void` | `bindDecimalParam(int statementHandle, int paramNum, BoundInt value, int decimalDigits)`
`void` | `bindInteger(int statementHandle, int column, BoundInt value)`
`void` | `bindIntegerParam(int statementHandle, int paramNum, BoundInt integer)`
`void` | `bindSmallIntParam(int statementHandle, int paramNum, BoundInt integer)`
`void` | `bindString(int statementHandle, int column, BoundString str)`
`void` | `bindTime(int statementHandle, int column, BoundTime time)`
`void` | `bindTimeParam(int statementHandle, int paramNum, BoundTime time)`
`void` | `bindTimestamp(int statementHandle, int column, BoundTimestamp date)`
`void` | `bindTimestampParam(int statementHandle, int paramNum, BoundTimestamp timestamp)`
`void` | `bindVarcharParam(int statementHandle, int paramNum, BoundString str)`
`void` | `connect(int connectionHandle, String serverName, String userName, String authentication)`
`void` | `describeCol(int statementHandle, int columnNum, ColumnInfo infoBuf)`
`void` | `disconnect(int connectionHandle)`
`void` | `endTran(int handleType, int handle, int completionType)`
`void` | `execDirect(int statementHandle, String statement)`
`void` | `execute(int statementHandle)`
`boolean` | `fetch(int statementHandle)`
`boolean` | `fetchScroll(int statementHandle, int fetchOrientation, int fetchOffset)`
`void` | `freeHandle(int handleType, int handle)`
`int` | `getBlob(int statementHandle, int column, byte[] buffer)`
`BoundDate` | `getDate(int statementHandle, int column, BoundDate store)`
`int` | `getInteger(int statementHandle, int column)`
`int` | `getNumResultCols(int statementHandle)`
`int` | `getRowCount(int statementHandle)`
`int` | `getString(int statementHandle, int column, byte[] cstr)`
`BoundTime` | `getTime(int statementHandle, int column, BoundTime store)`
`BoundTimestamp` | `getTimestamp(int statementHandle, int column, BoundTimestamp store)`
`static boolean` | `isNativeAttached()`
`void` | `prepare(int statementHandle, String statement)`
`void` | `resetStatementParams(int statementHandle)`
`void` | `setAutoCommit(int dbcHandle, boolean autocommit)`
`void` | `setCursorType(int statementHandle, int type)`
`void` | `setDeleteMode(int statementHandle, int mode)`
`void` | `setDirtybitMode(int statementHandle, int mode)`
`void` | `setReadMode(int statementHandle, int mode)`
`void` | `setReorgMode(int statementHandle, int mode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### SQL_HANDLE_ENV

    public static final int SQL_HANDLE_ENV

### SQL_HANDLE_DBC

    public static final int SQL_HANDLE_DBC

### SQL_HANDLE_STMT

    public static final int SQL_HANDLE_STMT

### SQL_PARAM_INPUT

    public static final int SQL_PARAM_INPUT

### SQL_PARAM_INPUT_OUTPUT

    public static final int SQL_PARAM_INPUT_OUTPUT

### SQL_PARAM_OUTPUT

    public static final int SQL_PARAM_OUTPUT

### SQL_C_BINARY

    public static final int SQL_C_BINARY

### SQL_C_BIT

    public static final int SQL_C_BIT

### SQL_C_CHAR

    public static final int SQL_C_CHAR

### SQL_C_DOUBLE

    public static final int SQL_C_DOUBLE

### SQL_C_FLOAT

    public static final int SQL_C_FLOAT

### SQL_C_LONG

    public static final int SQL_C_LONG

### SQL_C_SHORT

    public static final int SQL_C_SHORT

### SQL_C_TYPE_DATE

    public static final int SQL_C_TYPE_DATE

### SQL_C_TYPE_TIME

    public static final int SQL_C_TYPE_TIME

### SQL_C_TYPE_TIMESTAMP

    public static final int SQL_C_TYPE_TIMESTAMP

### SQL_C_TINYINT

    public static final int SQL_C_TINYINT

### SQL_BLOB

    public static final int SQL_BLOB

### SQL_CHAR

    public static final int SQL_CHAR

### SQL_DECIMAL

    public static final int SQL_DECIMAL

### SQL_INTEGER

    public static final int SQL_INTEGER

### SQL_SMALLINT

    public static final int SQL_SMALLINT

### SQL_TYPE_DATE

    public static final int SQL_TYPE_DATE

### SQL_TYPE_TIME

    public static final int SQL_TYPE_TIME

### SQL_TYPE_TIMESTAMP

    public static final int SQL_TYPE_TIMESTAMP

### SQL_VARCHAR

    public static final int SQL_VARCHAR

### SQL_FETCH_NEXT

    public static final int SQL_FETCH_NEXT

### SQL_FETCH_PRIOR

    public static final int SQL_FETCH_PRIOR

### SQL_FETCH_FIRST

    public static final int SQL_FETCH_FIRST

### SQL_FETCH_LAST

    public static final int SQL_FETCH_LAST

### SQL_FETCH_ABSOLUTE

    public static final int SQL_FETCH_ABSOLUTE

### SQL_FETCH_RELATIVE

    public static final int SQL_FETCH_RELATIVE

### SQL_COMMIT

    public static final int SQL_COMMIT

### SQL_ROLLBACK

    public static final int SQL_ROLLBACK

### SQL_CURSOR_FORWARD_ONLY

    public static final int SQL_CURSOR_FORWARD_ONLY

### SQL_CURSOR_STATIC

    public static final int SQL_CURSOR_STATIC

### SQL_DELETE_MARK_ONLY

    public static final int SQL_DELETE_MARK_ONLY

### SQL_DELETE_PHYSICAL_REMOVE

    public static final int SQL_DELETE_PHYSICAL_REMOVE

### SQL_READ_EXCLUDE_MARKED_DELETE

    public static final int SQL_READ_EXCLUDE_MARKED_DELETE

### SQL_READ_INCLUDE_MARKED_DELETE

    public static final int SQL_READ_INCLUDE_MARKED_DELETE

### SQL_DIRTYBIT_SET_BY_SYSTEM

    public static final int SQL_DIRTYBIT_SET_BY_SYSTEM

### SQL_DIRTYBIT_SET_BY_APPLICATION

    public static final int SQL_DIRTYBIT_SET_BY_APPLICATION

### SQL_REORG_ENABLED

    public static final int SQL_REORG_ENABLED

### SQL_REORG_DISABLED

    public static final int SQL_REORG_DISABLED

### SQL_NULL_DATA

    public static final int SQL_NULL_DATA

Constructor Detail

### Db2e

    public Db2e()

Method Detail

### isNativeAttached

    public static boolean isNativeAttached()

### attachNative

    public static boolean attachNative()

### allocHandle

    public int allocHandle(int handleType,
                           int contextHandle)
                    throws DB2Exception

### freeHandle

    public void freeHandle(int handleType,
                           int handle)
                    throws DB2Exception

### resetStatementParams

    public void resetStatementParams(int statementHandle)
                              throws DB2Exception

### connect

    public void connect(int connectionHandle,
                        String serverName,
                        String userName,
                        String authentication)
                 throws DB2Exception

### disconnect

    public void disconnect(int connectionHandle)
                    throws DB2Exception

### prepare

    public void prepare(int statementHandle,
                        String statement)
                 throws DB2Exception

### execute

    public void execute(int statementHandle)
                 throws DB2Exception

### execDirect

    public void execDirect(int statementHandle,
                           String statement)
                    throws DB2Exception

### endTran

    public void endTran(int handleType,
                        int handle,
                        int completionType)
                 throws DB2Exception

### getRowCount

    public int getRowCount(int statementHandle)
                    throws DB2Exception

### setAutoCommit

    public void setAutoCommit(int dbcHandle,
                              boolean autocommit)
                       throws DB2Exception

### setCursorType

    public void setCursorType(int statementHandle,
                              int type)
                       throws DB2Exception

### setDeleteMode

    public void setDeleteMode(int statementHandle,
                              int mode)
                       throws DB2Exception

### setReadMode

    public void setReadMode(int statementHandle,
                            int mode)
                     throws DB2Exception

### setDirtybitMode

    public void setDirtybitMode(int statementHandle,
                                int mode)
                         throws DB2Exception

### setReorgMode

    public void setReorgMode(int statementHandle,
                             int mode)
                      throws DB2Exception

### bindBlob

    public void bindBlob(int statementHandle,
                         int column,
                         BoundBlob blob)
                  throws DB2Exception

### bindString

    public void bindString(int statementHandle,
                           int column,
                           BoundString str)
                    throws DB2Exception

### bindInteger

    public void bindInteger(int statementHandle,
                            int column,
                            BoundInt value)
                     throws DB2Exception

### bindTime

    public void bindTime(int statementHandle,
                         int column,
                         BoundTime time)
                  throws DB2Exception

### bindDate

    public void bindDate(int statementHandle,
                         int column,
                         BoundDate date)
                  throws DB2Exception

### bindTimestamp

    public void bindTimestamp(int statementHandle,
                              int column,
                              BoundTimestamp date)
                       throws DB2Exception

### getBlob

    public int getBlob(int statementHandle,
                       int column,
                       byte[] buffer)
                throws DB2Exception

### getString

    public int getString(int statementHandle,
                         int column,
                         byte[] cstr)
                  throws DB2Exception

### getInteger

    public int getInteger(int statementHandle,
                          int column)
                   throws DB2Exception

### getTime

    public BoundTime getTime(int statementHandle,
                             int column,
                             BoundTime store)
                      throws DB2Exception

### getDate

    public BoundDate getDate(int statementHandle,
                             int column,
                             BoundDate store)
                      throws DB2Exception

### getTimestamp

    public BoundTimestamp getTimestamp(int statementHandle,
                                       int column,
                                       BoundTimestamp store)
                                throws DB2Exception

### fetch

    public boolean fetch(int statementHandle)
                  throws DB2Exception

### fetchScroll

    public boolean fetchScroll(int statementHandle,
                               int fetchOrientation,
                               int fetchOffset)
                        throws DB2Exception

### getNumResultCols

    public int getNumResultCols(int statementHandle)
                         throws DB2Exception

### describeCol

    public void describeCol(int statementHandle,
                            int columnNum,
                            ColumnInfo infoBuf)
                     throws DB2Exception

### bindBlobParam

    public void bindBlobParam(int statementHandle,
                              int paramNum,
                              BoundBlob blob)
                       throws DB2Exception

  Parameter binding methods.

### bindCharParam

    public void bindCharParam(int statementHandle,
                              int paramNum,
                              BoundString str)
                       throws DB2Exception

### bindDecimalParam

    public void bindDecimalParam(int statementHandle,
                                 int paramNum,
                                 BoundInt value,
                                 int decimalDigits)
                          throws DB2Exception

### bindIntegerParam

    public void bindIntegerParam(int statementHandle,
                                 int paramNum,
                                 BoundInt integer)
                          throws DB2Exception

### bindSmallIntParam

    public void bindSmallIntParam(int statementHandle,
                                  int paramNum,
                                  BoundInt integer)
                           throws DB2Exception

### bindVarcharParam

    public void bindVarcharParam(int statementHandle,
                                 int paramNum,
                                 BoundString str)
                          throws DB2Exception

### bindTimeParam

    public void bindTimeParam(int statementHandle,
                              int paramNum,
                              BoundTime time)
                       throws DB2Exception

### bindDateParam

    public void bindDateParam(int statementHandle,
                              int paramNum,
                              BoundDate date)
                       throws DB2Exception

### bindTimestampParam

    public void bindTimestampParam(int statementHandle,
                                   int paramNum,
                                   BoundTimestamp timestamp)
                            throws DB2Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD